{{"<!-- units start -->" | safeHTML}}
<div class="container mb-3">  

  {{ range (.Site.RegularPages) }}
  {{ if eq .Params.unitpage "main" }}
  
  {{ $unitname := .Params.unitname }}
  
  <div class="row">
    <div class="col">
      <h2 class="text-center">{{ .Params.title }}</h2>
      <p>{{ .Params.short }} <a href="units/{{ .Params.unitname }}">Read more.</a></p>
    
      <div id="carouselunit" class="carousel slide" data-bs-ride="carousel">
        <div class="carousel-inner">
        
          {{ range (.Site.RegularPages) }}
          {{ if eq .Params.unitname $unitname }}

            <!-- {{ .Params.imagesfrontmatch }} -->
            
            {{ $page := . }}
			      {{ $page.Scratch.Add "unitimagecount" 0 }}

            {{ with resources.Match .Params.imagesfrontmatch }}
            {{ range $index, $element := . }}
              {{ $image := resources.Get . }}
              {{ if $image }}
                {{ $unitimagecount := $page.Scratch.Get "unitimagecount" }}
                <div class="carousel-item {{ if (eq $unitimagecount 0) }}active{{ end }}">
                      {{ $image_filled := $image.Process "fill 1600x800" }}
                      <img class="d-block w-100" src="{{ $image_filled.Permalink }}" >
                </div>
                {{ $page.Scratch.Add "unitimagecount" 1 }}
              {{ end }}
            {{ end }}
            {{ end }}
      
          {{ end }}
          {{ end }}
        </div>
        
        <button class="carousel-control-prev" type="button" data-bs-target="#carouselunit" data-bs-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselunit" data-bs-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Next</span>
        </button>
      
      </div>
    </div>
  {{ end }}
  {{ end }}

</div>{{"<!-- units end -->" | safeHTML}}